/* Global Start */
:root {
    --main-color: #2196f3;
    --main-color-alt: #137acf;
    --box-shadow: 0 0 10px #ddd;
    --main-transition: 0.3s;
    --white-hover: #fafafa;
    --section-padding: 100px;
    --section-background: #ececec;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Roboto", sans-serif;
    height: 100svh;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

a {
    text-decoration: none;
}

.wrapper {
    display: none;
    opacity: 0;
    transition: 1s;
}

.wrapper > *:not(header, .landing) {
    position: relative;
    transform: translateY(100px);
    opacity: 0;
    transition: 1s;
}

.wrapper > *[id] {
    scroll-margin-top: 172px;
}

.wrapper > *[id].revealed {
    scroll-margin-top: 72px;
}

@media (max-width: 767px) {
    .wrapper > *[id] {
        scroll-margin-top: 200px;
    }

    .wrapper > *[id].revealed {
        scroll-margin-top: 100px;
    }
}

.revealed {
    transform: translateY(0px) !important;
    opacity: 1 !important;
}

.main-title {
    margin: 0 auto 80px;
    padding: 10px 20px;
    width: fit-content;
    text-transform: uppercase;
    border: 2px solid black;
    font-size: 30px;
    position: relative;
    transition: var(--main-transition);
    cursor: default;
    z-index: 1;
}

.main-title:hover {
    color: white;
    border-color: var(--main-color);
    background-color: var(--main-color);
    transition-delay: 0.5s;
}

.main-title:hover::before {
    animation: fill-to-right 0.5s linear forwards;
}

.main-title:hover::after {
    animation: fill-to-left 0.5s linear forwards;
}

.main-title::before,
.main-title::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 12px;
    height: 12px;
    z-index: -1;
    border-radius: 50%;
    background-color: var(--main-color);
}

.main-title::before {
    right: -30px;
}

.main-title::after {
    left: -30px;
}

.dots {
    position: absolute;
    max-width: 500px;
}

.dots-top {
    top: 200px;
    right: 0;
}

.dots-bottom {
    bottom: 200px;
    left: 0;
}

.spikes {
    position: relative;
    bottom: var(--section-padding);
}

.spikes::after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 30px;
    z-index: 1;
    background-image: linear-gradient(134deg, white 25%, transparent 25%),
        linear-gradient(226deg, white 25%, transparent 25%);
    background-size: 30px 30px;
}

.container {
    padding-inline: 15px;
    margin-inline: auto;
}

@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}
/* Global End */

/* Loader Start */
.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100px;
    height: 100px;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    display: block;
}

.loader::before {
    content: "";
    border-radius: 50%;
    position: absolute;
    width: 100%;
    height: 100%;
    border-width: 5px;
    border-style: solid;
    border-color: var(--main-color) var(--main-color) #dedede #dedede;
    animation: spin 1.5s linear infinite;
}
/* Loader End */

/* Header Start */
header {
    background-color: white;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    box-shadow: var(--box-shadow);
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
}

header .logo {
    color: var(--main-color);
    transition: var(--main-transition);
    font-weight: bold;
    font-size: 26px;
    display: flex;
    height: 72px;
    align-items: center;
    justify-content: center;
}

@media (max-width: 767px) {
    header .logo {
        width: 100%;
        height: 50px;
    }
}

header .logo:hover {
    color: var(--main-color-alt);
}

header .nav {
    display: flex;
}

@media (max-width: 767px) {
    header .nav {
        margin: auto;
    }
}

header .nav > li > a {
    color: black;
    display: flex;
    height: 72px;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    transition: var(--main-transition);
    padding-inline: 30px;
    overflow-x: hidden;
}

@media (max-width: 767px) {
    header .nav > li > a {
        padding-inline: 10px;
        height: 50px;
    }
}

header .nav > li > a::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    height: 4px;
    width: 100%;
    background-size: 200% 100%;
    background-color: var(--main-color);
    transition: var(--main-transition);
}

header .nav > li > a:hover,
header .nav > li.hover > a {
    background-color: var(--white-hover);
    color: var(--main-color);
}

header .nav > li > a:hover::before,
header .nav > li.hover > a::before {
    left: 0;
}

header .mega-menu {
    position: absolute;
    background-color: white;
    width: 100%;
    left: 0;
    display: flex;
    z-index: -1;
    visibility: hidden;
    gap: 40px;
    top: calc(100% + 10px);
    padding: 30px;
    align-items: center;
    opacity: 0;
    transition: var(--main-transition);
    border-bottom: 4px solid var(--main-color);
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
}

@media (max-width: 767px) {
    header .mega-menu {
        flex-direction: column;
        padding: 0;
        align-items: normal;
        gap: 0;
    }
}

header .mega-menu img {
    max-width: 100%;
}

@media (max-width: 991px) {
    header .mega-menu img {
        display: none;
    }
}

header .mega-menu ul {
    flex: 1;
    min-width: 250px;
}

header .mega-menu li {
    position: relative;
    overflow: hidden;
}

header .mega-menu li:not(:last-child) {
    border-bottom: 1px solid #ddd;
}

@media (max-width: 767px) {
    header .mega-menu ul:first-of-type li:last-child {
        border-bottom: 1px solid #ddd;
    }
}

header .mega-menu li::before {
    content: "";
    position: absolute;
    top: 0;
    left: -100%;
    height: 100%;
    width: 100%;
    z-index: -1;
    background-color: #ececec;
    transition: var(--main-transition);
}

header .mega-menu li:hover::before {
    left: 0;
}

header .mega-menu a {
    padding: 20px;
    display: block;
    font-size: 18px;
    color: var(--main-color);
    font-weight: bold;
}

@media (max-width: 767px) {
    header .mega-menu a {
        padding: 15px;
    }
}

header .mega-menu i {
    margin-right: 10px;
}

header .mega-menu.show {
    opacity: 1;
    z-index: 1;
    top: 100%;
    visibility: visible;
}
/* Header End */

/* Landing Start */
.landing {
    position: relative;
}

.landing::before {
    content: "";
    position: absolute;
    top: -40px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ececec;
    z-index: -1;
    transform: skewY(-6deg);
    transform-origin: top left;
}

.landing .container {
    min-height: 100svh;
    padding-bottom: 120px;
    display: flex;
    align-items: center;
}

.landing .text {
    flex: 1;
}

.landing .text * {
    margin: 0;
}

.landing .text h2 {
    font-size: 38px;
}

.landing .text p {
    font-size: 22px;
    line-height: 1.5;
    color: #666;
    max-width: 500px;
    margin-top: 10px;
}

@media (max-width: 991px) {
    .landing .text {
        text-align: center;
    }

    .landing .text p {
        margin-inline: auto;
    }
}

@media (max-width: 767px) {
    .landing .text h2 {
        font-size: 28px;
    }
    .landing .text p {
        font-size: 18px;
    }
}

.landing img {
    width: 600px;
    animation: bounce 3s linear infinite alternate;
}

@media (max-width: 991px) {
    .landing img {
        display: none;
    }
}

.landing a {
    position: absolute;
    color: var(--main-color);
    bottom: 20px;
    left: 50%;
    transition: var(--main-transition);
    transform: translateX(-50%);
}

.landing a:hover {
    color: var(--main-color-alt);
}
/* Landing End */

/* Articles Start */
.articles {
    padding-block: var(--section-padding);
    position: relative;
}

.articles .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 40px;
}

.articles .article {
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    overflow: hidden;
    transition: var(--main-transition);
}

.articles .article:hover {
    transform: translateY(-10px);
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.2);
}

.articles img {
    max-width: 100%;
}

.articles .text {
    padding: 20px;
    border-bottom: 1px solid #ddd;
}

.articles .text * {
    margin: 0;
}

.articles .text h3 {
    margin-bottom: 15px;
}

.articles .text p {
    color: #666;
    line-height: 1.5;
}

.articles .info {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--main-color);
}

.articles .info a {
    color: var(--main-color);
    transition: var(--main-transition);
    font-weight: bold;
}

.articles .info a:hover {
    color: var(--main-color-alt);
}

.articles .article:hover i {
    animation: move-left 0.5s linear infinite alternate;
}
/* Articles End */

/* Gallery Start */
.gallery {
    padding-block: var(--section-padding);
    background-color: var(--section-background);
}

.gallery .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
}

.gallery .box {
    padding: 20px;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
}

.gallery .image {
    overflow: hidden;
    height: 100%;
    position: relative;
    border-radius: 8px;
}

.gallery img {
    max-width: 100%;
    height: 100%;
    transition: var(--main-transition);
}

.gallery .image:hover img {
    transform: scale(1.1) rotate(3deg);
}

.gallery .image::before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    opacity: 0;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    transition: var(--main-transition);
    background-color: rgba(255, 255, 255, 0.2);
}

.gallery .image:hover::before {
    animation: flashing 0.7s;
}
/* Gallery End */

/* Features Start */
.features {
    padding-block: var(--section-padding);
}

.features .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
}

.features .box {
    border: 1px solid #dedede;
    border-radius: 8px;
    overflow: hidden;
    text-align: center;
}

.features .image {
    position: relative;
    overflow: hidden;
}

.features .image::before {
    content: "";
    position: absolute;
    top: -5px;
    width: 100%;
    height: 100%;
}

.features .image::after {
    content: "";
    position: absolute;
    bottom: 3px;
    right: 0;
    border-style: solid;
    border-width: 0px 0px 170px 500px;
    border-color: transparent transparent white transparent;
    transition: var(--main-transition);
}

.features .box:hover .image::after {
    border-width: 170px 500px 170px 0;
}

.features .quality .image::before {
    background-color: rgba(244, 64, 54, 0.6);
}

.features .time .image::before {
    background-color: rgba(0, 150, 136, 0.6);
}

.features .passion .image::before {
    background-color: rgba(3, 169, 244, 0.6);
}

.features img {
    max-width: 100%;
}

.features h3 {
    font-size: 40px;
    margin: auto;
    width: fit-content;
    position: relative;
}

.features h3::after {
    content: "";
    position: absolute;
    bottom: -15px;
    left: 15px;
    width: calc(100% - 30px);
    height: 5px;
    background-color: black;
}

.features .quality h3::after {
    background-color: #f44036;
}

.features .time h3::after {
    background-color: #009688;
}

.features .passion h3::after {
    background-color: #03a9f4;
}

.features p {
    padding: 25px;
    margin-block: 30px;
    font-size: 20px;
    line-height: 2;
    color: #777;
}

.features a {
    display: block;
    margin: 0 auto 30px;
    width: fit-content;
    padding: 15px 35px;
    font-size: 20px;
    font-weight: bold;
    border-radius: 8px;
    transition: 0.5s;
    background-size: 250%;
    background-position: right;
}

.features .quality a {
    background-image: linear-gradient(to left, white 50%, #f44036 50%);
    border: 3px solid #f44036;
    color: #f44036;
}

.features .time a {
    background-image: linear-gradient(to left, white 50%, #009688 50%);
    border: 3px solid #009688;
    color: #009688;
}

.features .passion a {
    background-image: linear-gradient(to left, white 50%, #03a9f4 50%);
    border: 3px solid #03a9f4;
    color: #03a9f4;
}

.features a:hover {
    background-position: left;
    color: white;
}
/* Features End */

/* Testimonials Start */
.test {
    padding-block: var(--section-padding);
    background-color: var(--section-background);
}

.test .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
}

.test .box {
    position: relative;
    padding: 20px;
    background-color: white;
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-radius: 8px;
    transition: var(--main-transition);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.07);
}

.test .box:hover {
    transform: translateY(-8px);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.12);
}

.test img {
    position: absolute;
    right: -10px;
    top: -20px;
    background-color: var(--section-background);
    padding: 10px;
    height: 100px;
    width: 100px;
    border-radius: 50%;
}

.test .box * {
    margin: 0;
}

.test span,
.test p {
    font-size: 15px;
    line-height: 1.6;
    color: #777;
}

.test .fa-solid {
    color: #ffc107;
}
/* Testimonials End */

/* Team Start */
.team {
    padding-block: var(--section-padding);
    position: relative;
}

.team .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
}

.team .box {
    position: relative;
    transition: var(--main-transition);
}

.team .box::before,
.team .box::after {
    content: "";
    position: absolute;
    height: 100%;
    width: 0;
    right: 0;
    top: 0;
    border-radius: 8px;
    z-index: -1;
    transition: var(--main-transition);
}

.team .box::before {
    width: calc(100% - 60px);
    background-color: var(--section-background);
}

.team .box::after {
    background-color: #e4e4e4;
}

.team .box:hover::after {
    width: calc(100% - 60px);
}

.team .top {
    display: flex;
    padding-top: 40px;
    align-items: center;
}

.team img {
    max-width: calc(100% - 60px);
    border-radius: 8px;
    transition: var(--main-transition);
}

.team .box:hover img {
    filter: grayscale(1);
}

.team .social {
    display: flex;
    flex-direction: column;
    width: 60px;
    gap: 20px;
    align-items: center;
    justify-content: center;
}

.team a {
    display: flex;
    width: 60px;
    height: 22px;
    justify-content: center;
    align-items: center;
    color: #777;
    transition: var(--main-transition);
}

.team a:hover {
    filter: grayscale(0);
    color: var(--main-color);
}

.team .info {
    padding-left: 80px;
    transition: var(--main-transition);
}

.team .box:hover .info {
    filter: grayscale(1);
}

.team h3 {
    margin-block: 20px 15px;
    font-size: 24px;
    color: var(--main-color);
}

.team p {
    margin-block: 0 20px;
    font-size: 16px;
}
/* Team End */

/* Services Start */
.services {
    padding-block: var(--section-padding);
    background-color: var(--section-background);
}

.services .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 40px;
    counter-reset: services;
}

.services .box {
    background-color: white;
    text-align: center;
    box-shadow: 0 12px 20px 0 rgba(0, 0, 0, 0.13),
        0 2px 4px 0 rgba(0, 0, 0, 0.12);
    position: relative;
    transition: var(--main-transition);
    counter-increment: services;
}

.services .box:hover {
    transform: translateY(-8px);
    box-shadow: 0 12px 20px 0 rgba(0, 0, 0, 0.2),
        0 2px 4px 0 rgba(0, 0, 0, 0.19);
}

.services .box::before {
    content: "";
    position: absolute;
    top: -3px;
    left: 50%;
    transform: translateX(-50%);
    height: 3px;
    width: 0;
    transition: var(--main-transition);
    background-color: var(--main-color);
}

.services .box:hover::before {
    width: 100%;
}

.services i {
    margin-top: 40px;
    font-size: 60px;
    color: #dedede;
}

.services h3 {
    margin-block: 15px 40px;
    color: var(--main-color);
    font-size: 25px;
}

.services .info {
    background-color: whitesmoke;
    padding: 15px;
    text-align: right;
    position: relative;
    overflow: hidden;
}

.services .info::before {
    content: "0" counter(services);
    position: absolute;
    background-color: var(--main-color);
    color: white;
    height: 100%;
    width: 100px;
    left: 0;
    top: 0;
    display: flex;
    justify-content: center;
    font-weight: bold;
    font-size: 30px;
    align-items: center;
    padding-right: 20px;
}

.services .info::after {
    content: "";
    position: absolute;
    background-color: #d5d5d5;
    top: 0;
    left: 80px;
    width: 50px;
    height: calc(100% + 0.4px);
    transform: skewX(-30deg);
}

.services a {
    color: var(--main-color);
    transition: var(--main-transition);
}

.services a:hover {
    color: var(--main-color-alt);
}
/* Services End */

/* Skills Start */
.skills {
    padding-block: var(--section-padding);
}

.skills .container {
    display: flex;
}

.skills .content {
    flex: 1;
}

@media (max-width: 991px) {
    .skills img {
        display: none;
    }
}

.skills h3 {
    margin-block: 20px;
}

.skills .progress-holder {
    background-color: #dedede;
    height: 30px;
    position: relative;
}

.skills .progress-holder::before {
    content: attr(width);
    color: var(--main-color);
    right: 0;
    top: calc(-100% - 12px);
    font-size: 12px;
    padding: 3px 5px;
    border-radius: 4px;
    font-weight: bold;
    border: 1px solid #ccc;
    position: absolute;
}

.skills .progress {
    display: block;
    height: 100%;
    width: 0%;
    transition: 0.6s;
    background-color: var(--main-color);
}
/* Skills End */

/* Work Start */
.work {
    padding-block: var(--section-padding);
    background-color: var(--section-background);
}

.work .container {
    display: flex;
    align-items: center;
    gap: 100px;
}

@media (max-width: 991px) {
    .work .container {
        flex-direction: column;
    }
}

.work .container > img {
    max-width: 100%;
}

.work .box {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    background-color: #f6f5f5;
    border: 2px solid white;
    border-radius: 6px;
    padding: 30px;
    z-index: 1;
    gap: 30px;
    position: relative;
}

@media (max-width: 767px) {
    .work .box {
        flex-direction: column;
        text-align: center;
    }
}

.work .box::before {
    content: "";
    border-radius: 6px;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
    z-index: -1;
    transform: translate(-50%, -50%);
    transition: 0.4s;
    background-color: #ededed;
}

.work .box:hover::before {
    width: 100%;
    height: 100%;
    transition: var(--main-transition);
}

.work .box img {
    height: 64px;
}

.work h3 {
    margin: 0;
    font-size: 22px;
}

.work p {
    margin-block: 10px 0;
    line-height: 1.7;
    font-size: 18px;
    color: #777;
}
/* Work End */

/* Events Start */
.events {
    padding-block: var(--section-padding);
}

.events .container {
    display: flex;
    align-items: center;
    text-align: center;
    flex-wrap: wrap;
}

.events img {
    max-width: 450px;
}

@media (max-width: 991px) {
    .events img {
        display: none;
    }
}

.events .info {
    flex: 1;
}

.events .time {
    display: flex;
    justify-content: center;
    gap: 15px;
}

.events .unit {
    border: 1px solid var(--section-background);
    width: 75px;
    border-radius: 6px;
    transition: var(--main-transition);
}

.events .unit:hover {
    border-color: var(--main-color);
}

.events .unit div:first-child {
    color: var(--main-color);
    font-weight: bold;
    font-size: 35px;
    padding: 15px 0;
    border-bottom: 1px solid var(--section-background);
    transition: var(--main-transition);
}

.events .unit:hover div:first-child {
    border-bottom-color: var(--main-color);
}

.events .unit div:last-child {
    padding: 8px 10px;
    font-size: 13px;
}

.events h3 {
    margin-block: 40px 20px;
    font-size: 28px;
}

.events p {
    text-align: center;
    line-height: 1.7;
    font-size: 19px;
    color: #777;
}

.events .subscribe {
    width: 100%;
    margin-top: 80px;
}

.events form {
    width: 600px;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    background-color: var(--section-background);
    padding: 30px 40px;
    gap: 20px;
    border-radius: 50px;
}

.events input:focus {
    outline: none;
}

.events input[type="email"] {
    border: none;
    padding: 20px;
    border-radius: 50px;
    flex: 1;
    caret-color: var(--main-color);
}

.events input[type="email"]::placeholder {
    transition: var(--main-transition);
}

.events input[type="email"]:focus::placeholder {
    opacity: 0;
}

.events input[type="submit"] {
    padding: 20px;
    border-radius: 50px;
    border: none;
    color: white;
    font-weight: bold;
    cursor: pointer;
    background-color: var(--main-color);
    transition: var(--main-transition);
}

.events input[type="submit"]:hover {
    background-color: var(--main-color-alt);
}

@media (max-width: 767px) {
    .events form {
        flex-direction: column;
        border-radius: 6px;
        padding: 20px;
        width: 100%;
    }

    .events input {
        border-radius: 6px !important;
    }
}
/* Events End */

/* Pricing Start */
.pricing {
    background-color: var(--section-background);
    padding-block: var(--section-padding);
    position: relative;
}

.pricing .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
}

.pricing .box {
    background-color: white;
    box-shadow: 0 12px 20px 0 rgb(0 0 0 / 13%), 0 2px 4px 0 rgb(0 0 0 / 12%);
    position: relative;
    overflow: hidden;
    border-radius: 6px;
    z-index: 1;
}

@media (min-width: 1200px) {
    .pricing .box:has(.popular) {
        top: -20px;
    }
}

.pricing .box::before,
.pricing .box::after {
    content: "";
    position: absolute;
    width: 0%;
    transition: var(--main-transition);
    z-index: -1;
    background-color: #f6f6f6;
}

.pricing .box::before {
    height: 308px;
    left: 0;
    top: 0;
}

.pricing .box::after {
    top: 308px;
    right: 0;
    height: 100%;
}

.pricing .box:hover::before,
.pricing .box:hover::after {
    width: 100%;
}

.pricing .data {
    text-align: center;
    position: relative;
    padding-block: 30px 20px;
}

.pricing .popular {
    position: absolute;
    writing-mode: vertical-lr;
    padding: 10px 10px 30px;
    color: white;
    background-color: var(--main-color);
    right: 20px;
    font-weight: bold;
    font-size: 18px;
    top: 0;
}

.pricing .popular::before {
    content: "";
    position: absolute;
    bottom: -1px;
    left: 0;
    border-width: 20px;
    border-style: solid;
    border-color: transparent transparent white transparent;
    transition-delay: 0.05s;
}

.pricing .box:hover .popular::before {
    border-bottom-color: #f6f6f6;
    transition-delay: 0.2s;
}

.pricing h3 {
    margin-block: 0 30px;
    font-size: 23px;
}

.pricing .box img {
    max-width: 80px;
}

.pricing span {
    display: block;
    margin-block: 30px 5px;
    font-size: 55px;
    color: var(--main-color);
    font-weight: bold;
}

.pricing p {
    margin-block: 0;
    color: #777;
}

.pricing li {
    border-top: 1px solid var(--section-background);
    padding: 20px;
}

.pricing i {
    color: var(--main-color);
    font-size: 18px;
    margin-right: 10px;
}

.pricing a {
    display: block;
    width: fit-content;
    margin: 30px auto 40px;
    color: var(--main-color);
    padding: 15px 20px;
    border-radius: 6px;
    transition: var(--main-transition);
    font-weight: bold;
    border: 2px solid var(--main-color);
}

.pricing a:hover {
    background-color: var(--main-color);
    color: white;
}
/* Pricing End */

/* Video Start */
.video {
    padding-block: var(--section-padding);
}

.video .holder {
    display: flex;
    border: 1px solid var(--section-background);
}

.video .videos {
    min-width: 300px;
    border-right: 1px solid var(--section-background);
}

@media (max-width: 991px) {
    .video .holder {
        flex-direction: column;
    }
}

.video .name {
    display: flex;
    justify-content: space-between;
    font-weight: bold;
    padding: 20px;
    background-color: #f6f6f6;
    border-bottom: 1px solid var(--section-background);
}

.view i {
    cursor: pointer;
}

.video li {
    padding: 20px;
    cursor: pointer;
    transition: var(--main-transition);
}

.video li:hover {
    background-color: #fafafa;
    color: var(--main-color);
}

.video li:not(:first-child) {
    border-top: 1px solid var(--section-background);
}

.video li p {
    margin-block: 0 15px;
}

.video span {
    color: #777;
}

.video .view {
    padding: 10px;
    background-color: var(--section-background);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 991px) {
    .video .view {
        gap: 10px;
    }
}

.video .view p {
    background-color: white;
    padding: 20px;
    margin: 0;
}

.video img {
    max-width: 100%;
}
/* Video End */

/* Stats Start */
.stats {
    padding-block: var(--section-padding);
    position: relative;
    background-image: url(../assets/stats.jpg);
    background-size: cover;
    min-height: 300px;
    text-align: center;
}

.stats::before {
    content: "";
    position: absolute;
    left: 0;
    top: -1px;
    width: 100%;
    height: calc(100% + 2px);
    background-color: rgb(255 255 255 / 95%);
}

.stats > * {
    position: relative;
}

.stats h2 {
    margin-block: 0 50px;
    font-size: 40px;
}

.stats .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 30px;
}

.stats .box {
    opacity: 0.82;
    padding: 30px;
    transition: var(--main-transition);
    background-color: white;
    position: relative;
}

.stats .box:hover {
    opacity: 1;
}

.stats .box::before,
.stats .box::after {
    content: "";
    position: absolute;
    width: 2px;
    height: 0;
    transition: 0.6s;
    background-color: var(--main-color);
}

.stats .box::before {
    bottom: 0;
    left: 0;
}

.stats .box::after {
    top: 0;
    right: 0;
}

.stats .box:hover::before,
.stats .box:hover::after {
    height: 100%;
}

.stats h3 {
    margin-block: 20px 15px;
    font-size: 40px;
}

.stats span {
    color: var(--main-color);
    font-style: italic;
    font-weight: bold;
    font-size: 18px;
}
/* Stats End */

/* Discount Start */
.discount {
    display: flex;
    min-height: 100svh;
}

@media (max-width: 991px) {
    .discount {
        flex-direction: column;
    }
}

.discount .container > div {
    padding-block: var(--section-padding);
}

.discount .content {
    flex-basis: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.discount .content:first-child {
    color: white;
    position: relative;
}

.discount .content:first-child:before {
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    z-index: -1;
    left: 0;
    background-image: url("../assets/discount-background1.jpg");
    background-size: cover;
}

.discount .content:first-child::after {
    content: "";
    position: absolute;
    top: -1px;
    width: 100%;
    height: calc(100% + 2px);
    z-index: -1;
    left: 0;
    background-color: rgba(23, 135, 224, 0.99);
}

.discount .image {
    padding-inline: 20px;
    width: 540px;
}

.discount h2 {
    font-size: 40px;
    letter-spacing: -2px;
}

.discount p {
    margin-block: 0 20px;
    font-size: 18px;
    line-height: 1.7;
}

.discount img {
    width: 300px;
    max-width: 100%;
}

.discount form h2 {
    margin-bottom: 20px;
}

.discount form {
    display: flex;
    padding: 0 20px 50px;
    flex-direction: column;
    gap: 30px;
}

.discount .input {
    width: 100%;
    padding: 15px;
    caret-color: var(--main-color);
    border: none;
    font-size: 15px;
    border-bottom: 1px solid #ccc;
    background-color: #fafafa;
}

.discount .input:focus {
    outline: none;
}

.discount .input::placeholder {
    transition: var(--main-transition);
}

.discount .input:focus::placeholder {
    opacity: 0;
}

.discount textarea {
    height: 200px;
    resize: none;
}

.discount .input:last-child {
    background-color: var(--main-color);
    color: white;
    font-weight: bold;
    font-size: 20px;
    border: none;
    cursor: pointer;
    transition: var(--main-transition);
}

.discount .input:last-child:hover {
    background-color: var(--main-color-alt);
}
/* Discount End */

/* footer Start */
footer {
    padding-top: 70px;
    background-color: #191919;
}

@media (max-width: 767px) {
    footer {
        text-align: center;
    }
}

footer .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 40px;
}

footer a,
footer p,
footer li {
    color: #b9b9b9;
}

footer h2 {
    margin-block: 0 20px;
    color: white;
    font-size: 48px;
}

footer .socials {
    display: flex;
    gap: 15px;
}

@media (max-width: 767px) {
    footer .socials {
        justify-content: center;
    }
}

footer .socials a {
    background-color: #2e2e2e;
    width: 50px;
    height: 50px;
    display: flex;
    border-radius: 6px;
    justify-content: center;
    align-items: center;
    transition: var(--main-transition);
}

footer .socials a:hover {
    color: white;
}

footer .socials .facebook:hover {
    background-color: #1877f2;
}

footer .socials .twitter:hover {
    background-color: #1da1f2;
}

footer .socials .youtube:hover {
    background-color: #ff0000;
}

footer .about p {
    margin-block: 20px;
    line-height: 2;
}

footer .links li {
    padding-block: 15px;
}

footer .links li:not(:last-child) {
    border-bottom: 1px solid #2e2e2e;
}

footer .links a {
    display: block;
    transition: var(--main-transition);
}

footer .links a:hover {
    color: white;
    transform: translateX(10px);
}

footer .links i {
    margin-right: 5px;
    color: var(--main-color);
}

footer .info li {
    display: flex;
    align-items: center;
    gap: 18px;
    margin-bottom: 35px;
}

@media (max-width: 767px) {
    footer .info li {
        flex-direction: column;
    }
}

footer .info i {
    color: var(--main-color);
}

footer .info div {
    line-height: 1.7;
}

footer img {
    width: 78px;
    border: 3px solid white;
    margin: 0 2px 2px 0;
}

footer .copyright {
    color: white;
    text-align: center;
    margin-top: 50px;
    border-top: 1px solid #2e2e2e;
    padding: 30px;
}

footer .name {
    color: var(--main-color);
    font-weight: bold;
}
/* footer End */

/* Animation Start */
@keyframes spin {
    100% {
        transform: rotate(1turn);
    }
}

@keyframes bounce {
    0% {
        transform: translateY(-20px);
    }
    100% {
        transform: translateY(40px);
    }
}

@keyframes fill-to-left {
    50% {
        left: 0;
        width: 12px;
        height: 12px;
    }
    100% {
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0%;
    }
}

@keyframes fill-to-right {
    50% {
        right: 0;
        width: 12px;
        height: 12px;
    }
    100% {
        right: 0;
        width: 100%;
        height: 100%;
        border-radius: 0%;
    }
}

@keyframes move-left {
    100% {
        transform: translateX(5px);
    }
}

@keyframes flashing {
    0%,
    40% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        width: 200%;
        height: 200%;
    }
}
/* Animation End */
